# Uses of Class
net.shibboleth.idp.authn.AuthenticationResult

Packages that use AuthenticationResult
Package
Description
net.shibboleth.idp.authn
APIs related to the authentication of a subject.
net.shibboleth.idp.authn.context
Context classes for managing authentication-related state.
net.shibboleth.idp.authn.context.logic
Predicates related to authentication context content.
net.shibboleth.idp.authn.impl
Implementation of various authentication actions.
net.shibboleth.idp.authn.principal
Classes supporting Java `Principal` usage.
net.shibboleth.idp.authn.principal.impl
Implementation of functionality related to Java Principals.
net.shibboleth.idp.authn.revocation.impl
Predicates related to authentication.
net.shibboleth.idp.cas.flow.impl
CAS protocol flow implementations.
net.shibboleth.idp.saml.profile.impl
Actions common to SAML 1 and SAML 2 processing.
net.shibboleth.idp.session
APIs related to the construction and management of sessions.
net.shibboleth.idp.session.impl
Implementations of session-related classes and interfaces.

## Uses of AuthenticationResult in net.shibboleth.idp.authn

Fields in net.shibboleth.idp.authn with type parameters of type AuthenticationResult
Modifier and Type
Field
Description
`private StorageSerializer<AuthenticationResult>`
AuthenticationFlowDescriptor.`resultSerializer`
Custom serializer for the results generated by this flow.
`private BiPredicate<ProfileRequestContext,AuthenticationResult>`
AuthenticationFlowDescriptor.`revocationCondition`
Whether a result from this flow should be considered revoked.
`private BiPredicate<ProfileRequestContext,AuthenticationResult>`
AuthenticationResult.`revocationCondition`
Whether this result should be considered revoked.
Methods in net.shibboleth.idp.authn that return AuthenticationResult
Modifier and Type
Method
Description
`AuthenticationResult`
AuthenticationFlowDescriptor.`deserialize(long version, String context, String key, String value, Long expiration)`
`AuthenticationResult`
AuthenticationFlowDescriptor.`newAuthenticationResult(Subject subject)`
Creates a new instance of a compatible `AuthenticationResult` for use with the corresponding flow.
Methods in net.shibboleth.idp.authn that return types with arguments of type AuthenticationResult
Modifier and Type
Method
Description
`BiPredicate<ProfileRequestContext,AuthenticationResult>`
AuthenticationFlowDescriptor.`getRevocationCondition()`
Get condition controlling whether a result from this flow should be considered revoked.
Methods in net.shibboleth.idp.authn with parameters of type AuthenticationResult
Modifier and Type
Method
Description
`boolean`
AuthenticationFlowDescriptor.`isResultActive(AuthenticationResult result)`
Check if a result generated by this flow is still active.
`String`
AuthenticationFlowDescriptor.`serialize(AuthenticationResult instance)`
`boolean`
AuthenticationResult.DescriptorRevocationPredicate.`test(ProfileRequestContext prc, AuthenticationResult result)`
Method parameters in net.shibboleth.idp.authn with type arguments of type AuthenticationResult
Modifier and Type
Method
Description
`void`
AuthenticationFlowDescriptor.`setResultSerializer(StorageSerializer<AuthenticationResult> serializer)`
Set a custom serializer for results produced by this flow.
`void`
AuthenticationFlowDescriptor.`setRevocationCondition(BiPredicate<ProfileRequestContext,AuthenticationResult> condition)`
Set condition controlling whether a result from this flow should be considered revoked.
`void`
AuthenticationResult.`setRevocationCondition(BiPredicate<ProfileRequestContext,AuthenticationResult> condition)`
Sets condition controlling whether this result has been revoked subsequent to creation.

## Uses of AuthenticationResult in net.shibboleth.idp.authn.context

Fields in net.shibboleth.idp.authn.context declared as AuthenticationResult
Modifier and Type
Field
Description
`private AuthenticationResult`
AuthenticationContext.`authenticationResult`
A successful authentication result (the output of the attempted flow, if any).
Fields in net.shibboleth.idp.authn.context with type parameters of type AuthenticationResult
Modifier and Type
Field
Description
`private final Map<String,AuthenticationResult>`
AuthenticationContext.`activeResults`
Authentication results associated with an active session and available for (re)use.
`private final Map<String,AuthenticationResult>`
MultiFactorAuthenticationContext.`activeResults`
Authentication results that are active (may be generated earlier or during current request).
`private final Map<String,AuthenticationResult>`
SubjectContext.`authenticationResults`
The active authentication results for the subject.
Methods in net.shibboleth.idp.authn.context that return AuthenticationResult
Modifier and Type
Method
Description
`AuthenticationResult`
AuthenticationContext.`getAuthenticationResult()`
Get the authentication result produced by the attempted flow, or reused for SSO.
Methods in net.shibboleth.idp.authn.context that return types with arguments of type AuthenticationResult
Modifier and Type
Method
Description
`Map<String,AuthenticationResult>`
AuthenticationContext.`getActiveResults()`
Get previous authentication results currently active for the subject.
`Map<String,AuthenticationResult>`
MultiFactorAuthenticationContext.`getActiveResults()`
Get a live list of the `AuthenticationResult` objects produced during the flow.
`Map<String,AuthenticationResult>`
SubjectContext.`getAuthenticationResults()`
Get a mutable map of authentication flow IDs to authentication results.
Methods in net.shibboleth.idp.authn.context with parameters of type AuthenticationResult
Modifier and Type
Method
Description
`AuthenticationContext`
AuthenticationContext.`setAuthenticationResult(AuthenticationResult result)`
Set the authentication result produced by the attempted flow, or reused for SSO.
Method parameters in net.shibboleth.idp.authn.context with type arguments of type AuthenticationResult
Modifier and Type
Method
Description
`AuthenticationContext`
AuthenticationContext.`setActiveResults(Iterable<AuthenticationResult> results)`
Set the authentication results currently active for the subject.

## Uses of AuthenticationResult in net.shibboleth.idp.authn.context.logic

Methods in net.shibboleth.idp.authn.context.logic that return types with arguments of type AuthenticationResult
Modifier and Type
Method
Description
`protected Collection<AuthenticationResult>`
AbstractAuthenticationResultPredicate.`getAuthenticationResults(ProfileRequestContext profileRequestContext)`
Extract all of the relevant results from either the active `AuthenticationContext` or `SubjectContext` as directed, including any nested results such as found with the MFA flow.
Methods in net.shibboleth.idp.authn.context.logic with parameters of type AuthenticationResult
Modifier and Type
Method
Description
`protected abstract boolean`
AbstractAuthenticationResultPredicate.`doMatch(ProfileRequestContext profileRequestContext, AuthenticationResult result)`
Evaluate an `AuthenticationResult` for a match.
`protected boolean`
AuthenticationResultPredicate.`doMatch(ProfileRequestContext profileRequestContext, AuthenticationResult result)`
Evaluate an `AuthenticationResult` for a match.
`protected boolean`
PrincipalInResultPredicate.`doMatch(ProfileRequestContext profileRequestContext, AuthenticationResult result)`
Match returns true iff at least one of the candidates is found in this result's `Subject`.

## Uses of AuthenticationResult in net.shibboleth.idp.authn.impl

Fields in net.shibboleth.idp.authn.impl with type parameters of type AuthenticationResult
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,Collection<AuthenticationResult>>`
PopulateMultiFactorAuthenticationContext.`activeResultLookupStrategy`
Lookup strategy for active "factors" that may already be usable.
`private Function<ProfileRequestContext,AuthenticationResult>`
FinalizeMultiFactorAuthentication.`resultMergingStrategy`
Strategy function to produce a final, merged result.
Methods in net.shibboleth.idp.authn.impl that return AuthenticationResult
Modifier and Type
Method
Description
`AuthenticationResult`
FinalizeMultiFactorAuthentication.DefaultResultMergingStrategy.`apply(ProfileRequestContext input)`
`AuthenticationResult`
DefaultAuthenticationResultSerializer.`deserialize(long version, String context, String key, String value, Long expiration)`
Methods in net.shibboleth.idp.authn.impl that return types with arguments of type AuthenticationResult
Modifier and Type
Method
Description
`Collection<AuthenticationResult>`
PopulateMultiFactorAuthenticationContext.DefaultResultLookupStrategy.`apply(ProfileRequestContext input)`
Methods in net.shibboleth.idp.authn.impl with parameters of type AuthenticationResult
Modifier and Type
Method
Description
`(package private) void`
PopulateMultiFactorAuthenticationContext.DefaultResultLookupStrategy.`processActiveResult(ProfileRequestContext profileRequestContext, AuthenticationContext authenticationContext, Collection<AuthenticationResult> results, AuthenticationResult candidate)`
Check an active result for possible inclusion in the returned collection.
`private void`
SelectAuthenticationFlow.`selectActiveResult(ProfileRequestContext profileRequestContext, AuthenticationContext authenticationContext, AuthenticationResult result)`
Selects an active result and completes processing.
`String`
DefaultAuthenticationResultSerializer.`serialize(AuthenticationResult instance)`
Method parameters in net.shibboleth.idp.authn.impl with type arguments of type AuthenticationResult
Modifier and Type
Method
Description
`(package private) void`
PopulateMultiFactorAuthenticationContext.DefaultResultLookupStrategy.`processActiveResult(ProfileRequestContext profileRequestContext, AuthenticationContext authenticationContext, Collection<AuthenticationResult> results, AuthenticationResult candidate)`
Check an active result for possible inclusion in the returned collection.
`private void`
SelectAuthenticationFlow.`selectRequestedFlow(ProfileRequestContext profileRequestContext, AuthenticationContext authenticationContext, Map<String,AuthenticationResult> activeResults)`
Selects a flow or an active result in the presence of specific requested Principals and completes processing.
`void`
PopulateMultiFactorAuthenticationContext.`setActiveResultLookupStrategy(Function<ProfileRequestContext,Collection<AuthenticationResult>> strategy)`
Set the lookup strategy for any active "factors" that may be reusable.
`void`
FinalizeMultiFactorAuthentication.`setResultMergingStrategy(Function<ProfileRequestContext,AuthenticationResult> strategy)`
Set the result merging strategy to use.

## Uses of AuthenticationResult in net.shibboleth.idp.authn.principal

Fields in net.shibboleth.idp.authn.principal declared as AuthenticationResult
Modifier and Type
Field
Description
`private AuthenticationResult`
AuthenticationResultPrincipal.`authnResult`
The authentication result.
Methods in net.shibboleth.idp.authn.principal that return AuthenticationResult
Modifier and Type
Method
Description
`AuthenticationResult`
AuthenticationResultPrincipal.`getAuthenticationResult()`
Get the `AuthenticationResult`.
Methods in net.shibboleth.idp.authn.principal with parameters of type AuthenticationResult
Modifier and Type
Method
Description
`static Set<String>`
PrincipalSupport.`getPrincipalNames(AuthenticationResult result, Class<? extends Principal> claz)`
Gets all of the names inside the `Principal` collection of a given type from a `Subject`.
Constructors in net.shibboleth.idp.authn.principal with parameters of type AuthenticationResult
Modifier
Constructor
Description
``
`AuthenticationResultPrincipal(AuthenticationResult result)`
Constructor.

## Uses of AuthenticationResult in net.shibboleth.idp.authn.principal.impl

Fields in net.shibboleth.idp.authn.principal.impl with type parameters of type AuthenticationResult
Modifier and Type
Field
Description
`private final StorageSerializer<AuthenticationResult>`
AuthenticationResultPrincipalSerializer.`resultSerializer`
Circular reference back to the parent serializer.
Constructor parameters in net.shibboleth.idp.authn.principal.impl with type arguments of type AuthenticationResult
Modifier
Constructor
Description
``
`AuthenticationResultPrincipalSerializer(StorageSerializer<AuthenticationResult> serializer)`
Constructor.

## Uses of AuthenticationResult in net.shibboleth.idp.authn.revocation.impl

Methods in net.shibboleth.idp.authn.revocation.impl with parameters of type AuthenticationResult
Modifier and Type
Method
Description
`protected boolean`
AttributeRevocationCondition.`isRevoked(String principal, AuthenticationResult result, Collection<Instant> revocationRecords)`
Check the revocation records' timestamps for applicability.
`protected boolean`
RevocationCacheCondition.`isRevoked(String principal, AuthenticationResult result, Collection<String> revocationRecords)`
Check the revocation records' timestamps for applicability.
`boolean`
AttributeRevocationCondition.`test(ProfileRequestContext input, AuthenticationResult input2)`
`boolean`
RevocationCacheCondition.`test(ProfileRequestContext input, AuthenticationResult input2)`

## Uses of AuthenticationResult in net.shibboleth.idp.cas.flow.impl

Fields in net.shibboleth.idp.cas.flow.impl declared as AuthenticationResult
Modifier and Type
Field
Description
`private AuthenticationResult`
GrantServiceTicketAction.`authnResult`
Authentication result.
Methods in net.shibboleth.idp.cas.flow.impl that return AuthenticationResult
Modifier and Type
Method
Description
`private AuthenticationResult`
GrantServiceTicketAction.`getLatestAuthenticationResult(ProfileRequestContext prc)`
Gets the most recent authentication result from the current IdP session.

## Uses of AuthenticationResult in net.shibboleth.idp.saml.profile.impl

Fields in net.shibboleth.idp.saml.profile.impl declared as AuthenticationResult
Modifier and Type
Field
Description
`private AuthenticationResult`
BaseAddAuthenticationStatementToAssertion.`authenticationResult`
AuthenticationResult basis of statement.
Methods in net.shibboleth.idp.saml.profile.impl that return AuthenticationResult
Modifier and Type
Method
Description
`AuthenticationResult`
BaseAddAuthenticationStatementToAssertion.`getAuthenticationResult()`
Get the `AuthenticationResult` to encode.

## Uses of AuthenticationResult in net.shibboleth.idp.session

Fields in net.shibboleth.idp.session with type parameters of type AuthenticationResult
Modifier and Type
Field
Description
`private final ConcurrentMap<String,Optional<AuthenticationResult>>`
AbstractIdPSession.`authenticationResults`
Tracks authentication results that have occurred during this session.
Methods in net.shibboleth.idp.session that return AuthenticationResult
Modifier and Type
Method
Description
`AuthenticationResult`
AbstractIdPSession.`addAuthenticationResult(AuthenticationResult result)`
Add a new `AuthenticationResult` to this IdP session, replacing any existing result of the same flow ID.
`AuthenticationResult`
IdPSession.`addAuthenticationResult(AuthenticationResult result)`
Add a new `AuthenticationResult` to this IdP session, replacing any existing result of the same flow ID.
`AuthenticationResult`
AbstractIdPSession.`doAddAuthenticationResult(AuthenticationResult result)`
Add a new `AuthenticationResult` to this IdP session, replacing any existing result of the same flow ID.
`AuthenticationResult`
AbstractIdPSession.`getAuthenticationResult(String flowId)`
Get an associated `AuthenticationResult` given its flow ID.
`AuthenticationResult`
IdPSession.`getAuthenticationResult(String flowId)`
Get an associated `AuthenticationResult` given its flow ID.
Methods in net.shibboleth.idp.session that return types with arguments of type AuthenticationResult
Modifier and Type
Method
Description
`protected Map<String,Optional<AuthenticationResult>>`
AbstractIdPSession.`getAuthenticationResultMap()`
Accessor for the underlying `AuthenticationResult` map maintained with the IdP session.
`Set<AuthenticationResult>`
AbstractIdPSession.`getAuthenticationResults()`
Get the unmodifiable set of `AuthenticationResult`s associated with this session.
`Set<AuthenticationResult>`
IdPSession.`getAuthenticationResults()`
Get the unmodifiable set of `AuthenticationResult`s associated with this session.
Methods in net.shibboleth.idp.session with parameters of type AuthenticationResult
Modifier and Type
Method
Description
`AuthenticationResult`
AbstractIdPSession.`addAuthenticationResult(AuthenticationResult result)`
Add a new `AuthenticationResult` to this IdP session, replacing any existing result of the same flow ID.
`AuthenticationResult`
IdPSession.`addAuthenticationResult(AuthenticationResult result)`
Add a new `AuthenticationResult` to this IdP session, replacing any existing result of the same flow ID.
`AuthenticationResult`
AbstractIdPSession.`doAddAuthenticationResult(AuthenticationResult result)`
Add a new `AuthenticationResult` to this IdP session, replacing any existing result of the same flow ID.
`boolean`
AbstractIdPSession.`doRemoveAuthenticationResult(AuthenticationResult result)`
Disassociate an `AuthenticationResult` from this IdP session.
`boolean`
AbstractIdPSession.`removeAuthenticationResult(AuthenticationResult result)`
Disassociate an `AuthenticationResult` from this IdP session.
`boolean`
IdPSession.`removeAuthenticationResult(AuthenticationResult result)`
Disassociate an `AuthenticationResult` from this IdP session.
`void`
IdPSession.`updateAuthenticationResultActivity(AuthenticationResult result)`
Update the recorded activity timestamp for an `AuthenticationResult` associated with this session.

## Uses of AuthenticationResult in net.shibboleth.idp.session.impl

Methods in net.shibboleth.idp.session.impl that return AuthenticationResult
Modifier and Type
Method
Description
`AuthenticationResult`
StorageBackedIdPSession.`addAuthenticationResult(AuthenticationResult result)`
Add a new `AuthenticationResult` to this IdP session, replacing any existing result of the same flow ID.
`AuthenticationResult`
StorageBackedIdPSession.`getAuthenticationResult(String flowId)`
Get an associated `AuthenticationResult` given its flow ID.
`private AuthenticationResult`
StorageBackedIdPSession.`loadAuthenticationResultFromStorage(String flowId)`
Loads an `AuthenticationResult` record from storage and deserializes it using the object attached to the corresponding `AuthenticationFlowDescriptor`.
Methods in net.shibboleth.idp.session.impl that return types with arguments of type AuthenticationResult
Modifier and Type
Method
Description
`protected Map<String,Optional<AuthenticationResult>>`
StorageBackedIdPSession.`getAuthenticationResultMap()`
Accessor for the underlying `AuthenticationResult` map maintained with the IdP session.
`Set<AuthenticationResult>`
StorageBackedIdPSession.`getAuthenticationResults()`
Get the unmodifiable set of `AuthenticationResult`s associated with this session.
Methods in net.shibboleth.idp.session.impl with parameters of type AuthenticationResult
Modifier and Type
Method
Description
`AuthenticationResult`
StorageBackedIdPSession.`addAuthenticationResult(AuthenticationResult result)`
Add a new `AuthenticationResult` to this IdP session, replacing any existing result of the same flow ID.
`boolean`
StorageBackedIdPSession.`removeAuthenticationResult(AuthenticationResult result)`
Disassociate an `AuthenticationResult` from this IdP session.
`private boolean`
StorageBackedIdPSession.`saveAuthenticationResultToStorage(AuthenticationResult result)`
Saves an `AuthenticationResult` record to storage, serializing it using the object attached to the corresponding `AuthenticationFlowDescriptor`.
`void`
StorageBackedIdPSession.`updateAuthenticationResultActivity(AuthenticationResult result)`
Update the recorded activity timestamp for an `AuthenticationResult` associated with this session.